#include <Servo.h>
#include <Adafruit_NeoPixel.h>

Servo myservo;

#define PIN        D8
#define NUMPIXELS 1
#define TOUCHSENSOR D2

Adafruit_NeoPixel pixels(NUMPIXELS, PIN, NEO_GRB + NEO_KHZ800);

int pos;
int flap = 1;
int tochpress = LOW;

void setup()
{
  Serial.begin(115200);
  pinMode(TOUCHSENSOR, INPUT);
  myservo.attach(D4);  //D4
  pixels.begin();
  schliessen();
}

void loop()
{
  tochpress = digitalRead(TOUCHSENSOR);
  if (tochpress == HIGH) {
    Serial.println("press");
     delay(200);
    if (flap == 0) {
      oeffnen();
    } else {
      schliessen();
    }
  }
}

void schliessen() {
  Serial.println("close");
  for (pos = 0; pos <= 180; pos += 1)
  {
    myservo.write(pos);
    delay(15);
  }
  flap = 0;
  pixels.clear();
  pixels.setPixelColor(0, pixels.Color(30, 0, 0));
  pixels.show();
  delay(1000);
}

void oeffnen() {
  Serial.println("open");
  for (pos = 180; pos >= 0; pos -= 1)
  {
    myservo.write(pos);
    delay(15);
  }
  flap = 1;
  pixels.clear();
  pixels.setPixelColor(0, pixels.Color(0, 30, 0));
  pixels.show();
  delay(1000);
}
